Name:       ocaml-cmigrep
Version:    1.5
Release:    %mkrel 11
Summary:    Search OCaml compiled interface (cmi) files
Group:      Development/OCaml
License:    GPLv2+
URL:        http://homepage.mac.com/letaris/
Source0:    http://homepage.mac.com/letaris/cmigrep-%{version}.tar.bz2
Source1:    cmigrep.1

Patch0:         cmigrep-make-without-godi-debian.patch
Patch3:         cmigrep-1.5-adapt-ocaml-4.0.patch

# Sent upstream on 2008-11-20.
Patch10:        ocaml-cmigrep-3.11.0-updated-types.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ncurses-devel


%description
A utility to mine the data in OCaml compiled interface (cmi) files, and
elisp that allows emacs to use cmigrep for completion.


%prep
%setup -q -n cmigrep-%{version}
%patch0 -p1

%patch10 -p1
# adapt to ocaml-4.0
%patch3 -p1

cp %{SOURCE1} .


%build
# Build cmigrep itself.
#make byte
#make all
ocamlfind ocamlopt -o cmigrep \
          -package compiler-libs.common,pcre,findlib,unix \
          -linkpkg cmigrep.ml
strip cmigrep


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0755 cmigrep %{buildroot}%{_bindir}
install -m 0644 cmigrep.1 %{buildroot}%{_mandir}/man1


%files
%doc GPL README cmigrep.el
%{_bindir}/cmigrep
%{_mandir}/man1/cmigrep.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.5-11.mga4
+ Revision: 525655
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 blue_prawn <blue_prawn> 1.5-10.mga4
+ Revision: 433978
- added a man page leeched from Debian

* Sat Jan 12 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 361213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 1.5-8.mga3
+ Revision: 328743
- adapt to new ocaml

  + fwang <fwang>
    - rebuild for new pcre

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - new rpm group for ocaml

* Sat Apr 14 2012 blue_prawn <blue_prawn> 1.5-4.mga2
+ Revision: 230750
- Import package from Mandriva


* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com>
- relink against libpcre.so.1

* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com>
- the mass rebuild of 2010.0 packages

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org>
- increm rel nb

* Thu Jan 29 2009 Florent Monnier <blue_prawn@mandriva.org>
- SILENT only cosmetics (buildroot)

* Wed Jan 28 2009 Florent Monnier <blue_prawn@mandriva.org>
- curses dependency

* Wed Jan 28 2009 Florent Monnier <blue_prawn@mandriva.org>
- corrected group

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org>
- import ocaml-cmigrep from Fedora into Mandriva

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-8
- Rebuild for OCaml 3.11.0+rc1.
- Remove string-index-from patch.

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-7
- Apply string-index-from patch from OCaml package.

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-6
- Fix for OCaml 3.11.0+beta1.

* Tue Nov 18 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-5
- Rebuild against OCaml 3.11.0+beta1.

* Tue Aug 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-4
- Restore ordinary patch fuzz.

* Tue Aug 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-3
- Rebuild.

* Mon Jun  9 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-2
- Include ppc64 compiler patch.
- Include MAP_32BITS compiler patch.
- Include no-executable-stack compiler patch.
- Rebuild for OCaml 3.10.2-4
  (https://bugzilla.redhat.com/show_bug.cgi?id=444428#c5)

* Mon Apr 28 2008 Richard W.M. Jones <rjones@redhat.com> - 1.5-1
- Initial RPM release.
